Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.sql
Class QSql.ParamTypeFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.sql.QSql.ParamTypeFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  QSql

    public static final class QSql.ParamTypeFlag

extends java.lang.Enum
implements QtEnumerator

This enum is used to specify the type of a bind parameter.

See Also:
  Serialized Form

Field Summary
`static QSql.ParamTypeFlag` | `Binary` This must be OR'd with one of the other flags if you want to indicate that the data being transferred is raw binary data.
`static QSql.ParamTypeFlag` | `In` The bind parameter is used to put data into the database.
`static QSql.ParamTypeFlag` | `InOut` The bind parameter is used to put data into the database; it will be overwritten with output data on executing a query.
`static QSql.ParamTypeFlag` | `Out` The bind parameter is used to receive data from the database.

Method Summary
`static QSql.ParamType` | `createQFlags(QSql.ParamTypeFlag[] values)` This function creates a com.trolltech.qt.sql.QSql$ParamType with the specified `com.trolltech.qt.sql.QSql$ParamTypeFlag[]` ParamTypeFlag values set.
`static QSql.ParamTypeFlag` | `resolve(int value)` Returns the ParamTypeFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSql.ParamTypeFlag` | `valueOf(java.lang.String name)`
`static QSql.ParamTypeFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### In

    public static final QSql.ParamTypeFlag In

  The bind parameter is used to put data into the database.

### Out

    public static final QSql.ParamTypeFlag Out

  The bind parameter is used to receive data from the database.

### InOut

    public static final QSql.ParamTypeFlag InOut

  The bind parameter is used to put data into the database; it will be overwritten with output data on executing a query.

### Binary

    public static final QSql.ParamTypeFlag Binary

  This must be OR'd with one of the other flags if you want to indicate that the data being transferred is raw binary data.

Method Detail

### values

    public static QSql.ParamTypeFlag[] values()

### valueOf

    public static QSql.ParamTypeFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QSql.ParamType createQFlags(QSql.ParamTypeFlag[] values)

  This function creates a com.trolltech.qt.sql.QSql$ParamType with the specified `com.trolltech.qt.sql.QSql$ParamTypeFlag[]` ParamTypeFlag values set.

### resolve

    public static QSql.ParamTypeFlag resolve(int value)

  Returns the ParamTypeFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD